#include "LED.h"
#include "lpc23xx.h"
#include "ethernetdrv.h"
#include "UART.h"
#include "plldrv.h"

int main(void){
	PLL_init();
	ALL_LED_ACTIVE();
	ALL_LED_OFF();
	init_uart0(115200);
	
	int mac = MAC_init();
	int phyid = get_phyid();
	int phyrev = get_phyrev();
	int phymodel = get_phymodel();

	if (mac == 1){
		GREEN_LED_ON();
		sendstr_uart0("MAC init completed");
	}
	
	sendstr_uart0("PHY ID:");
	sendint4_uart0(phyid);
	send_uart0(10);

	sendstr_uart0("PHY Rev:");
	sendint4_uart0(phyrev);
	send_uart0(10);

	sendstr_uart0("PHY Model:");
	sendint4_uart0(phymodel);
	send_uart0(10);

	while(1){
		if (ethernet_isup()){
			BLUE_LED_ON();
		}else{
			BLUE_LED_OFF();
		}
	}
}